/* =========================================================
   Crestone Elite Banking — Custom daisyUI Theme
   Deep Navy / Royal Blue palette mapped to daisyUI semantic vars.
   ========================================================= */

:root,
[data-theme="light"] {
    --color-base-100: oklch(98% 0.003 280);
    --color-base-200: oklch(96% 0.005 275);
    --color-base-300: oklch(94% 0.005 275);
    --color-base-content: oklch(12% 0.01 260);

    --color-primary: oklch(12% 0.07 260);
    --color-primary-content: oklch(100% 0 0);

    --color-secondary: oklch(.546 .245 262.881);
    --color-secondary-content: oklch(100% 0 0);

    --color-accent: oklch(18% 0.09 260);
    --color-accent-content: oklch(62% 0.08 255);

    --color-neutral: oklch(0% 0 0);
    --color-neutral-content: oklch(100% 0 0);

    --color-info: oklch(60% 0.1 240);
    --color-info-content: oklch(100% 0 0);

    --color-success: oklch(40% 0.15 140);
    --color-success-content: oklch(100% 0 0);

    --color-warning: oklch(72% 0.12 80);
    --color-warning-content: oklch(12% 0.01 260);

    --color-error: oklch(42% 0.2 30);
    --color-error-content: oklch(100% 0 0);

    /*--radius-selector: 0rem;
    --radius-field: 0rem;
    --radius-box: 0rem;*/
    --radius-selector: 0.25rem;
    --radius-field: 0.5rem;
    --radius-box: 0.5rem;

    --size-selector: 0.25rem;
    --size-field: 0.25rem;
    --border: 1px;
    --depth: 1;
    --noise: 0;

    color-scheme: light;
}

[data-theme="dark"] {
    --color-base-100: oklch(12% 0.01 260);
    --color-base-200: oklch(16% 0.015 260);
    --color-base-300: oklch(24% 0.01 260);
    --color-base-content: oklch(95% 0.003 280);

    --color-primary: oklch(.97 .014 254.604);
    /*--color-primary: oklch(.704 .04 256.788);*/
    /*--color-primary: oklch(.546 .245 262.881);*/
    --color-primary-content: oklch(12% 0.07 260);

    --color-secondary: oklch(54.6% 0.245 262.881);
    --color-secondary-content: oklch(100% 0 0);

    --color-accent: oklch(62% 0.08 255);
    --color-accent-content: oklch(12% 0.07 260);

    --color-neutral: oklch(90% 0.005 275);
    --color-neutral-content: oklch(12% 0.01 260);

    --color-info: oklch(60% 0.1 240);
    --color-info-content: oklch(100% 0 0);

    --color-success: oklch(40% 0.15 140);
    --color-success-content: oklch(100% 0 0);

    --color-warning: oklch(72% 0.12 80);
    --color-warning-content: oklch(12% 0.01 260);

    --color-error: oklch(70% 0.12 25);
    --color-error-content: oklch(14% 0.08 20);


    color-scheme: dark;
}

:root {
    background-color: var(--color-base-100);
}
